/* Allgemein */
*{
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  color: #333333;
}



/* Basis fuer html und body */
html, body {
  margin: 0;
    font-family: "Urbanist", serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    color: inherit;
    scroll-behavior: smooth;
    background: linear-gradient(to bottom right, #eaf1f8, #ffffff);
    padding-top: 80px; /* Weil fester Header über dem Content liegt */
    /* scroll-padding-top: 100px; ← das hier rausnehmen */
}

/*body{
  overflow-y: scroll; /* Erzwingt Scrollbar auch wenn nicht nötig
  flex-direction: column;
  position: relative;
  display: flex;
  min-height: 100vh; /* Stellt sicher, dass der Body mindestens die gesamte Bildschirmhöhe hat
}*/



/*canvas {
  pointer-events: none;
  position: fixed; /* Fixiert das Canvas, sodass es nicht scrollt
  top: 0;
  left: 0;
  width: 100vw; /* Breite = 100% der Ansicht
  height: 100vh; /* Höhe = 100% der Ansicht
  z-index: -1; /* Canvas wird hinter dem Inhalt angezeigt
}
*/



/* Entferne unnötige Scrollbar-Stile */
*::-webkit-scrollbar {
  width: 0px;
  overflow-x: hidden;
}

*::-webkit-scrollbar-track {
  background: none;
  border:none;
  overflow-x: hidden;
}

*::-webkit-scrollbar-thumb {
  background: none;
  border:none;
  overflow-x: hidden;
}


.trennlinie_1{
  border-top: 5px outset rgb(124, 34, 109);
  padding: 5px 10px;
  margin: 50px 80px;
}


.trennlinie_2{
  border-top: 5px outset rgb(218, 168, 83);
  padding: 3px 0;
  margin: 30px 80px;
}

.trennlinie_3{
  border-top: 5px outset #a3456b;
  padding: 3px 0;
  width: 100%;
}


.trennlinie_4{
  border-top: 6px outset rgb(68, 8, 45);
  padding: 3px 10px;
  margin: 30px 80px;
  align-items: center;
}

.trennlinie_5{
  border-top: 6px outset #522e30;
  padding: 3px 10px;
  margin: 50px 80px;
}





/* BEGIN gallery */
.gallery_container {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  position: absolute;
  width: 100%;
}

/* Galerie links */
.gallery_container_left,
.gallery_container_right {
  position: fixed;
  top: 0;
  width: 250px;
  height: 100vh;
  background-color: black;
}




.gallery_container_left {
  left: 0;
  z-index: 1 !important;

}

.gallery_container_right {
  right: 0;
  z-index: 1 !important
}

/* Galerie-Animation */
.gallery {
  display: flex;
  flex-direction: column;
  animation: scrollUp 10s linear infinite;
}

.gallery-item img {
  width: 250px;
  height: 400px;
  object-fit: cover;
  padding: 10px 15px;
}

@keyframes scrollUp {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-100vh); /* Höhe anpassen */
  }
}
/* END gallery */








/* Navbar bleibt oben fixiert */
.navbar {
  height: 250px;
  padding: 90px 10px;
  transition: all 0.4s ease;
  position: fixed;
  overflow: hidden;
  z-index: 1000;
  align-items: center;
  top: 0;
  left: 220px;
  transition: 0.4s;
  display: flex;
  justify-content: space-between;
  flex-wrap: nowrap;
  color: #1e3a8a;

}



/* Logo in der Navbar */
#head_logo {
  display: flex;
  align-items: center;
  margin-left: 40px;
}

#head_logo img {
  width: 200px;
  height: 200px;
  border: 3px inset silver;
  border-radius: 20px;
}

#head_logo img:hover{
  border: 6px inset silver;
}






/* Menü in der Navbar */
.menu {
  display: flex;
  justify-content: space-around;
  align-items: left;
max-width: 100%;
padding: 0;
margin-left: -10%;
  float: left;
  right: 0;
  flex: 1;
  z-index: 99;
/*  background-color: red;*/
}


.menu a {
  font-size: 1.8rem;
  padding: 15px 20px;
  text-decoration: none;
  color:  #333333; /* Grau */
  display: flex;
  align-items: center;
  min-width:250px;
  justify-content: center;
  margin: 0 25px;
  font-weight: normal;
}


.menu a:hover{
  color:#868e96; /* grey */
  font-weight: bold;
}




/* Einstellung "Vita"*/
.menu_active{
  color: white !important;
  font-weight: bold !important;
  background-color: #81a1c1;
  min-width: 160px !important;
  padding: 15px 0;
  border-radius: 20px;
  cursor: none;
}


.menu_active:hover{
  text-decoration: none;
  cursor: none;
}


.menu.show {
  display: none;
}

/*.menu a:nth-of-type(3){
  align-items: center;
padding-left: 80px;
}
*/



/* menubutton "Weigel IT-Consulting" */
.menu a:nth-of-type(4){
  align-items: center;
  min-width: 280px;
}

/* menubutton "Weigel IT-Consulting" */
.menu a:nth-of-type(5){
  align-items: center;
  min-width: 180px;
}


.menu-icon {
  display: none; /* Falls nicht für Mobile gebraucht */
}



/* Geschrumpfte Navbar */
.navbar.small {
  height: 100px; /* Kleinere Navbar */
  padding: 5px;
  background-color: #eaf1f8 !important;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: height 0.3s ease, padding 0.3s ease;
  display: flex;
  align-items: center;
  margin-left: 30px;
  margin-right: 30px !important;
  max-width: calc(100%-500px);
width: 100%;
z-index: 99;
scroll-behavior: smooth;*/
}


.navbar.small .menu{
float: right;
margin-left:30px;
margin-right: 500px !important;
min-width: 50px;
padding: 10px 0;
width: 100%;
}





.navbar.small .menu a{
  font-size: 1.3rem;
  color:  #333333; /* Grau */
padding: 5px 0;
margin-left: -5%;
}

.navbar.small .menu a:hover{
  color: #868e96; /* grey */
}



/* menubutton "Weigel IT-Consulting" */
.navbar.small .menu a:nth-of-type(3){
  align-items: center;
  min-width: 150px !important;
  padding: 0 2%;
}



/* menubutton "Weigel IT-Consulting" */
.navbar.small .menu a:nth-of-type(5){
  align-items: center;
  min-width: 150px !important;
}


/* menubutton "Weigel IT-Consulting" */
.navbar.small .menu a:nth-of-type(4){
  align-items: center;
  min-width: 220px !important;
}

.navbar.small .menu a:nth-of-type(4):hover{
  font-weight: bold;
  text-decoration: none;
}


/* menubutton "Weigel IT-Consulting" */
.navbar.small .menu a:nth-of-type(6){
  align-items: center;
  min-width: 150px !important;
  padding: 0 2%;
}





.navbar.small .menu .menu_active{
  color:  RGB(129, 114, 169);
  margin-right:5px;
  margin-left: -20%;
}

/* Geschrumpftes Logo */
.navbar.small #head_logo img {
    width: 60px;
    height: 60px;
    padding-top:-200px;
}











/* Hamburger Menu Styles */
.menu-button-container {
  display: none;
  height: 40px;
  width: 40px;
  cursor: pointer;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.menu-button {
  width: 30px;
  height: 4px;
  background-color: white;
  border-radius: 2px;
  position: relative;
  transition: transform 0.3s ease;
}
/* Abstand zwischen den Strichen erhöhen*/
.menu-button::before {
  top: -8px;
}

.menu-button::after {
  top: 8px;
}

/* Hamburger Button Animation */
#menu-toggle {
  display: none;
}

#menu-toggle:checked + .menu-button-container .menu-button {
  background-color: transparent;
}

#menu-toggle:checked + .menu-button-container .menu-button::before {
  transform: rotate(45deg);
}

#menu-toggle:checked + .menu-button-container .menu-button::after {
  transform: rotate(-45deg);
}


/* BEGIN BREADCRUMB */
.breadcrumb{
  height: 50px;
  padding: 0;
  display: flex;
  position: absolute;
  margin-top: 31vh;
  width: 100%;
  align-items: flex-end;
  background-color: transparent !important;
  z-index: 999;
  margin-left: 30px;

}


/* Breadcrumb style*/
.breadcrumb ul {
  list-style-type: none;
  color: rgb(124, 34, 109);
  display: flex;
  justify-content: flex-end; /* Elemente nach rechts schieben*/
  align-items: center;
  margin-right: 20px; /* Abstand vom rechten Rand*/
  float: right !important;
  right: 0;
}


/* Gestaltung Haus*/
.breadcrumb  ul li a {
  text-decoration: none;
  color: rgb(124, 34, 109);
  font-size: 25px;
  float: right;
}


/* Haus - Hover*/
.breadcrumb ul li a:hover{
  text-decoration: underline 5px solid rgb(124, 34, 109);
  border-radius:15px;
}


/* Gestaltung von >>*/
.breadcrumb ul li + li:before {
  margin: 3px 10px 0 5px;
  content: ">>";
  font-size: 20px;
  font-weight: normal;
  color: rgb(124, 34, 109);
}

/* END nav-Leiste */






/* BEGIN Header */
header{
  position: relative;
  margin-left:250px !important;
  margin-right: 250px !important;
 display: flex;
  font-family: "Lumanosimo", serif;
  font-weight: 400;
  font-style: normal;
  z-index: 10;
  flex-direction: column;
  height: 660px;
  scroll-margin-top: 50vh !important;
  padding-top: 40px;
  text-align: center;
  overflow-y: hidden;
  max-width: calc(100%-500px);
  background-color: none;
}



header h1{
  font-size:4rem;
  color: inherit important;
  font-family: "Lumanosimo", serif;
  font-weight: bold;
  font-style: normal;
  padding: 10px ;
}


header h2{
  font-size:1.8rem;
  text-align: center;
  color: inherit;
  font-family: "Urbanist", serif !important;
  font-optical-sizing: auto;
  font-weight: normal;
  padding: 0 20px;
}


/*main{
  max-width: calc(100% - 500px);
  height: auto;
margin-left: 250px;
margin-right: 250px;
background-color: #fff85b !important;
}*/



.main-content{
  max-width: calc(100% - 500px);
  height: auto;
margin-left: 250px;
margin-right: 250px;
background-color: #fff85b !important;
}




/* linke Seite */
    .main-content .left{
    float: left;
    width: 35%;
    padding: 10px;
    border: 10px groove #5e81ac !important;
    border-radius: 20px;
    height: 600px;
    justify-content: center;
    margin-bottom: 100px;
  }



  .main-content .left h2{
    font-size: 3rem;
    text-align: center;
    font-weight: bold;
    color: #373737;
    align-items: center;
    margin-top:10%;
    padding:  20px 10px;
  }


  /* BEGIN figure - figcaption */
  figure {
    justify-content: center;
    width: 100%;
    flex-direction: column;
    float: left;
  }


  figure figcaption{
    text-align: right;
    font-style: italic;
    font-size: 14px;
    color: black;
    padding-top: 10px;
    margin-right: 14%;
  }


  figure img{
    width:350px;
    height: 300px;
    padding: 0;
    justify-content: center;
    margin-left: 10%;
  }
  /* END figure - figcaption */




  /* rechte Seite */
  .main-content .right{
    float: right !important;
    width: 55% !important;
    height: 600px !important;
    margin: 0;
    border: 10px groove #81a1c1 !important;
    border-radius: 20px;
    height: 600px;
    overflow-y: auto !important; /* Scrollbar nur auf dieser Seite */
    z-index: 20;  /* Hoeherer z-index, damit der Inhalt vor dem Footer liegt */
    padding-bottom: 80px !important; /* Abstand nach unten, um Platz fuer den Footer zu schaffen */
  padding-right: 20px;
  padding-left: 20px;
  margin-bottom: 100px;
  text-align: center;

  }

    .main-content .right h1{
    font-size: 2.2rem;
    text-align: center;
    font-weight: bold;
    color: #373737;
    padding: 10px;
  }



    .main-content .right h2{
        font-size: 1.4rem;
        text-align: center;
        color: #373737;
        padding: 0 30px 10px 30px;
      }




  .main-content .right h3{
      font-size: 1.4rem;
      color: #373737;
      padding: 0 30px;
      text-align: center;

    }



  .main-content .right ol{
    font-weight: bold;
    padding: 10px 20px 0 0px;
    margin-left: 57px;
  }


  .main-content .right ol li{
    list-style: circle;
    font-weight: normal;
    padding: 10px 20px 0 20px;
    margin-left: 57px;
    font-size: 1.8rem;
    color: #373737;
  }


  .main-content .right ol li::marker {
    color: #373737;
    font-weight: bold;
  }








/* BEGIN Schule */
table {
  width: 100%;
  text-align: left;
  border-collapse: collapse;
  border: 1px solid #ddd;
  border-spacing: 0;
  border-width: thin 0 0 thin;
}


/*Spaltenueberschriften */
th {
  background-color: rgb(208, 195, 126);
  text-align: center;
  border-right: 1px inset rgb(120, 94, 208);
  border-left: 1px inset rgb(120, 94, 208);
  border-bottom: 2px outset rgb(242, 91, 51);
  font-size: 1.5rem;
  font-weight: bold;
  padding: 10px 0;
}

td, th {
  padding: 0.33rem 0.5rem;
  border-right: 1px inset rgb(120, 94, 208);
  border-left: 1px inset rgb(120, 94, 208);
  border-bottom: 2px outset rgb(242, 91, 51);
  font-size: 1.5rem;
}

tbody  {
  background-color:#eee;
}

tr:nth-of-type(even) {
  background-color:#fff;
}

td:first-child{
  font-weight: bold;
  font-size: 1.6rem;
  background-color: rgba(163, 163, 163, 0.72);
}
/* ENDE Schule */


/* an den Seitenanfang springen


/* Details-Summary-Bereich */



details {
  display: block;
  width: 100%;
  border-radius: 5px;  /* Optional: Abgerundete Ecken */
  margin-left: 20px;
  font-family: inset;
  padding: 10px ;
}




/* Standard-Pfeil entfernen für Webkit-Browser */

details[open] {
  padding: 10px; /* Statt 0*/
}



details[open] summary {
  color: black;
  background-color: #81a1c1; /* z. B. grauer Hintergrund */
  }



/* einzelne Kaesten*/
details summary {
  text-align: left;
  outline: none;
  border: 5px groove #5e81ac;
  padding: 10px 20px;
  color: black;
  border-radius: 10px;
  cursor: pointer;
  font-size: 25px;
  font-weight: normal;
  min-width: 300px;
  margin-left: -30px;
}


details summary:hover {
  background-color:#81a1c1;
  color: black;
}



/* Pfeil nach oben bei geschlossenem Zustand*/
details summary::after {
  content: "▲";
  margin-left: 10px;
  color: rgb(194, 37, 92);
}


/* Pfeil nach unten bei geoeffnetem Zustand*/
details[open] > summary::after {
  content: "▼";
  color: black !important;
  background-color: #d8dee9 !important;
  font-weight: bolder !important;
}


/* Einrückung für Unterebenen*/
details > details {
  margin-left: 50px;
}

/* Entfernt den Standard-Pfeil und stellt sicher, dass das Öffnen funktioniert */
details > summary {
  list-style: none;
  display: flex; /* Stellt sicher, dass der Text und der Pfeil korrekt ausgerichtet sind */
  align-items: center;
  justify-content: space-between; /* Optional: Pfeil am rechten Rand */
  font-weight: bold !important;
}

/* Standard-Pfeil entfernen für Webkit-Browser */
details > summary::-webkit-details-marker {
  display: none;
}

/* Falls `padding: 0;` das Öffnen blockiert, besser entfernen oder anpassen */
details[open] {
  /*background-color: RGB(216, 245, 162);*/
  padding: 10px; /* Statt 0 */
}




details h2{
  font-size: 1.3rem;
  margin: 40px 30px 0 0;
  color: inherit;
  font-weight: bold;
  text-decoration:underline;
}

details h3{
  font-size: 1.2rem;
  margin: 10px 0;
  color: inherit;
  font-weight: normal;
}

details h4{
  font-size: 1.3rem;
  margin: 30px 0;
  color: inherit;
  font-weight: normal;
  font-style: italic;
  text-align: center;
}


details ul{
  font-weight: bold;
  padding: 10px 20px 0 20px;
  margin: 10px 20px 0 20px;
}

details ol{
  list-style-type: circle;
  font-size: 1.1rem;
  padding: 10px 20px 0 80px;
  margin: 10px 50px 0 50px;
}



details ul li{
  list-style-type: decimal;
  font-weight: normal;
  padding: 10px 20px 0 50px;
  margin: 10px 20px 0 50px;
  font-size: 1.1rem;
}



details ol li{
  list-style-type: circle;
  font-weight: normal;
  padding: 10px 80px 0 80px;
  margin: 10px 80px 0 50px;
}


details ol ul{
  list-style-type: lower-apha;
  padding: 0px;
  margin: 0 10px 0 0 ;
  font-size: 1.1rem;
}

details ol ul li{
  list-style-type: lower-alpha;
  font-weight: normal;
  padding: 10px 20px 0 20px;
  margin: 10px 20px 0 55px;
  font-size: 1.1rem;
}


details ul ol li{
  list-style-type: circle;
  font-weight: normal;
  padding: 10px 20px 0 20px;
  margin: 10px 20px 0 55px;
  font-size: 1.1rem;
}







.accordion {
/*  background-color: rgba(194, 37, 92, 0.76); /* Pink */
  color: #444;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: 5px outset #5e81ac;
  font-size: 1.4rem;
  font-weight: bold !important;
  text-align: center;
  transition: 0.4s;
  height: auto;
  margin: 20px 80px 0 -20px;
  border-radius: 20px;
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
}


.active, .accordion:hover {
  background-color: #d8dee9; /* grau */
}


.accordion:after {
  content: '\002B';
  color:inset;
  font-weight: bold;
  float: right;
  margin-left: 5px;
  margin-right: 50px;
}


.active:after {
  content: "\2212";
}

.panel {
  display: none; /* Statt display: none; */
  overflow: hidden; /* Verhindert, dass der Inhalt sichtbar ist, wenn max-height 0 ist */
  transition: max-height 0.2s ease-out; /* Sanfte Animation */
  text-align: center;
  padding: 0 18px; /* Anfangs kein Padding, damit es sich visuell korrekt zusammenfaltet */
}


.panel ul li{
  list-style: circle;
  padding: 5px 10px;
  flow: left;
  font-size: 1.4rem;
}


.panel h2{
  font-size: 1.2rem;
  color: rgb(59, 66, 63);
  font-weight: normal;
  text-align: left;
  padding: 10px;
  text-decoration: none !important
}


.panel ul{
  padding: 0 20px 10px 40px;
  text-align: left;
}


/* Panel bei aktivem Zustand */
.accordion.active + .panel {
  display: block;
}




.panel ul li{
  list-style: circle;
  padding: 5px 10px;
  flow: left;
  font-size: 1.6rem;
}








/* Fussbereich */
#footer {
  position: fixed;
  left: 250px;
  right: 250px;
  max-width:100%;

  padding: 10px 0;

  background-color: #eaf1f8;
  color: #81a1c1 !important;

  font-size: 20px;
  bottom: 0;
  text-align: center;
  height: 180px;
  z-index:99 !important;
  float: left;

  transition: opacity 0.3s ease;  /* Sanfte Uebergangseffekte */
  opacity:0;  /* Anfangs unsichtbar */
}


/* Die Klasse, die den Footer sichtbar macht */
#footer.show {
  opacity: 1;  /* Footer sichtbar */
}



 #footer.hidden {
   opacity: 0;
   width: 100% !important;
   z-index: 999;
 }




/* Button, um den Footer ein-/auszufahren */
.toggle-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  padding: 10px;
  background-color: #c5d4e4;
  color: #eceff4 !important;
  border: 3px outset #d6e0ea;
  border-radius: 8px;
  cursor: pointer;
  z-index: 9999;
  font-size: 20px;
}


  .toggle-button:hover {
    color: #81a1c1 !important;
    font-weight: bold;
  }

     .toggle-button.active{
       background-color:#5e81ac !important;
     }

          #Footertoggle-button{
          display: none;
          opacity: 1;
      }



.footer_container{
  padding-top: 20px;
  width: 100% !important;
  z-index: 999;
  color: #81a1c1 !important;
}


/* Beinhaltet die 4 Spalten*/
.footer_row{
  display: flex;
  flex-direction: row;
  padding: 0 5%;
  width: 100% !important;
  z-index: 999;
  color: #5e81ac !important;
  }


/* 1. Spalte*/
.col01{
  padding: 5px 7%;
  min-width: 250px;
  color: #5e81ac !important;
}



.MyFooter ul{
  list-style: none;
  display:  flex;
  flex-direction: column;
  text-align: left;
  color: #81a1c1 !important;
}


.MyFooter ul li{
  list-style: none;
  padding-bottom: 10px;
  float: left;
  color: #81a1c1 !important;
}

.MyFooter ul li a{
  color: #81a1c1 !important;
  text-decoration: none;
  font-weight: none;
  transition: all 0.5s ease;
}

.MyFooter ul li a:hover{
  color: #5e81ac !important;
  text-decoration: none;
  font-weight: bold;
}


/* 2. Spalte*/
.col02{
  padding: 5px 7%;
  color: #5e81ac !important;
}


.col02 h1{
  color: #81a1c1 !important;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 19px;
  font-weight: normal;
}

/* 3. Spalte*/
.col03{
  padding: 5px 10%;
}

.col03 h1{
  color: #5e81ac;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 19px;
  font-weight: normal;
}



.social-links a{
  display: inline-block;
  height: 40px;
  width: 40px;
  background-color: rgba(255,255,255,0.2);
  margin:0 10px 10px 0;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  color: #5e81ac !important;
  transition: all 0.5s ease;
  z-index: 999 !important;
}

.social-links a:hover{
  color: #5e81ac !important;
  background-color: #ffffff;
  text-decoration: none;
}



/* an den Seitenanfang springen*/
#top {
  display: inline-block;
  padding: 10px;
  background-color: #81a1c1 !important;
  color: white !important;
  font-size: 22px;
  font-weight: bold;
  border: 5px outset #81a1c1;
  text-decoration: none;
  border-radius: 15px;
  font-size: 22px;
  cursor: pointer;
  margin: 0 5px;
  transition: transform 0.3s ease;
  z-index: 999 !important;
}

#top:hover {
  color: white !important;
  font-weight: bold;
  text-decoration: underline;
}


.footer_bottom ul{
  width: 100%;
  float: left;
  list-style: none;
  text-align: center;
  display: inline;
  z-index: 1000;
}


.footer_bottom ul li{
  margin-top: 1em;
  align-items: center;
  display: inline;
}

.footer_bottom ul li a{
  color: #5e81ac !important;
  text-decoration: none;
  font-weight: normal;
}

.footer_buttom ul li a:hover{
  color: #5e81ac !important;
  text-decoration: none;
  font-weight: bold;
}

.previous {
  background-color: inherit;
  color: #5e81ac;
  width: 250px;
  height: 70px;
  text-decoration: none;
  padding: 5px 18px;
  font-weight: normal;
}

.previous:hover {
  background-color: inherit;
  text-decoration: none;
  border: 5px inset #5e81ac;
  border-radius: 15px;
  padding: 5px 18px;
  font-weight: bold;
}

/* Seite vorwaerts */
.next {
  background-color: inherit;
  color: #5e81ac !important;
  width: 250px;
  height: 70px;
  text-decoration: none;
  padding: 5px 18px;
  font-weight: normal;
}


.next:hover {
  background-color: inherit;
  color: #5e81ac !important;
  text-decoration: none;
  border: 5px inset #5e81ac;
  border-radius: 15px;
  padding: 5px 18px;
  font-weight: bold;
}


/*.next:active{
  background-color: RGBA(238, 190, 250, 0.76);
}

.previous:active{
  background-color: RGBA(255, 169, 77, 0.76);
}*/










/* Media Queries */
@media screen and (max-width: 768px) {
  .menu {
    display: none;
    flex-direction: column;
    width: 100%;
    background-color: #333;
    text-align: center;
    position: absolute;
    top: 100px;
    left: 0;
    padding: 10px 0;
    transition: transform 0.3s ease;
    transform: translateY(-100%); /* Start außerhalb des Sichtbereichs */
  }

  .menu a {
    padding: 15px;
    color: white;
    font-size: 1.5rem;
  }

  .menu a:hover {
    background-color: #555;
  }

  /* Wenn das Menü aktiviert wird */
  #menu-toggle:checked + .menu-button-container + .menu {
    display: flex;
    transform: translateY(0); /* Menü nach unten öffnen */
  }

  .menu-button-container {
    display: flex;
  }
}



/* responsive */
/* Bildschirm groesser als 300 px und kleiner als 500px */
@media only screen and (min-width: 300px) and (max-width: 500px) {

  * {
    margin: 0;
    width: 100%;
    height: auto;
  }


  #logotext{
    font-size: 1em;
    padding: 0 20px 60px 40px;
    font-weight: bold;
    font-family: 'Playpen Sans', cursive;
    letter-spacing: 0.3em;
    text-align: left;
    color: white !important;
    text-shadow: 1px 1px 4px black;
  }


  /* Logo in der Nav*/
  #nav_logo img{
    width: 50px;
    height: 50px;
    padding: 3px;
    border: 2px inset rgb(129, 78, 19);
    margin: 0;
  }

  /* Aussehen Hamburger Menu*/
  .menu-button, .menu-button::before, .menu-button::after {
    display: block;
    background-color: #fff; /* Farbe Hamburger Menue*/
    position: absolute;
    height: 4px; /* Strichbreite Menu-Symbol*/
    width: 30px; /* Breite Menu-Symbol*/
    transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
    border-radius: 70px;
    margin: 0 -70px;
  }

  .menu-button::before {
    content: "";
    margin-top: -8px;
  }

  .menu-button::after {
    content: "";
    margin-top: 8px;
  }


  /* Positionierung Hamburger Symbol*/
  .menu-button-container, .menu-button{
    float: right;
    width: 30px;
    height: 10px;
    display: flex;
    margin: 0 40px;  /* Abstand zwischen Hamb. Menu und Menu*/
  }



  #menu-toggle~.menu li {
    height: 0;
    margin: 0;
    padding: 0;
    border: 0;
    transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
  }

  #menu-toggle:checked~.menu li {
    border: 1px inset #55dace;
    height: 2.5em;
    padding: 10px 20px;
    transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
  }




  /* Fussbereich */
  .col01, .col02, .col03 {
    width: 100%;
  }


  .footer_bottom{
    display: flex;
    flex-direction: column;
  }

  .previous, .next{
    width: 200px;
    font-size: 15px;
    padding: 3px 12px;
  }

  .previous:hover, .next:hover{
    border: none;
    background: none;
    width: inherit;
    font-size: 15px;
    padding: 3px 12px;
    color: white !important;
  }


  #top{
    position: sticky;
    padding: 2px 0;
    width: 50px;
    height: 30px;
    bottom: 0;
    text-decoration: none;
    float: left;
    text-align: center;
  }

  #top:hover{
    padding: 2px 0;
    border: none;
    color: inherit;
    text-align: inherit;
  }

}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
  .prev, .next,.text {font-size: 11px}
}



@media (max-width: 1400px) {
  .right {
    margin-left: 0;  /* Sicherstellen, dass keine Margin auf kleineren Geräten gesetzt wird */
  }
}


@media (max-width: 800px) {
  .menu {
    gap: 5px;
  }
  .menu a {
    padding: 5px;
    font-size: 12px;
  }
}




@media (max-width: 600px) {
  .navbar {
    flex-direction: column;
    align-items: flex-start;
  }
  .menu {
    display: none;
    flex-direction: column;
    width: 100%;
    background-color: #333;
  }
  .menu a {
    text-align: center;
    padding: 10px;
    border-top: 1px solid #444;
  }
  .menu.show {
    display: flex;
  }

  .menu-icon {
    display: block;
  }
}

/* Media Query für kleinere Bildschirme */
@media (max-width: 768px) {
  main {
    width: 90%; /* Etwas kleiner auf Mobilgeräten */
  }
}
